#!/bin/sh

sudo apt-get update
sudo apt-get install nginx-full php-fpm php-cgi php-cli php-common libfcgi-perl

sudo wget http://nginxlibrary.com/downloads/perl-fcgi/fastcgi-wrapper -O /usr/bin/fastcgi-wrapper.pl
sudo wget http://nginxlibrary.com/downloads/perl-fcgi/perl-fcgi -O /etc/init.d/perl-fcgi

sudo chmod +x /usr/bin/fastcgi-wrapper.pl
sudo chmod +x /etc/init.d/perl-fcgi

sudo update-rc.d perl-fcgi defaults
sudo /usr/lib/insserv/insserv perl-fcgi

#copy subdirs to web root

sudo cp -rp ./www /var

# copy default config file for nginx and restart it
sudo cp ./default /etc/nginx/sites-available
sudo chsh -s /bin/bash www-data
sudo /etc/init.d/perl-fcgi start
sudo service nginx restart

# perl cgis need to be 755